//
//  ViewController.m
//  短信验证码
//
//  Created by yepiaoyang on 16/6/30.
//  Copyright © 2016年 yepiaoyang. All rights reserved.
//

#import "ViewController.h"
#import "UIButton+LSSmsVerification.h"
@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.view.backgroundColor = [UIColor whiteColor];
    
    UIButton *smsBtn = [self createTitleBtnWithFrame:CGRectMake(100, 100, 200, 40) title:@"获取验证码" font:16.0f titleColor:[UIColor redColor] bgColor:[UIColor blueColor] target:self action:@selector(getSmsVerification:)];
    [self.view addSubview:smsBtn];
}

- (void)getSmsVerification:(UIButton *)smsBtn {
    
    [smsBtn startTimeWithDuration:10];
    
}



/**
 *  创建有标题无图片的button
 *
 *  @param frame    frame
 *  @param title    按钮文字
 *  @param font     文字大小
 *  @param norColor 正常状态下文字颜色
 *  @param selColor 选择状态下文字颜色
 *  @param bgColor  按钮背景颜色
 *  @param target   目标
 *  @param action   点击事件
 *
 *  @return 有标题无图片的button
 */

- (UIButton *)createTitleBtnWithFrame:(CGRect)frame title:(NSString *)title font:(CGFloat)font titleColor:(UIColor *)titleColor bgColor:(UIColor *)bgColor target:(id)target action:(SEL)action {
    
    UIButton *button = [[UIButton alloc] initWithFrame:frame];
    [button setTitle:title forState:UIControlStateNormal];
    button.titleLabel.font = [UIFont systemFontOfSize:font];
    [button setTitleColor:titleColor forState:UIControlStateNormal];
    button.backgroundColor = bgColor;
    if (target && action) {
        [button addTarget:target action:action forControlEvents:UIControlEventTouchUpInside];
    }
    
    return button;
    
}

@end
